As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 454414 - Postgresql reconfiguration
: Postgresql reconfiguration
Status: RESOLVED FIXED
:
Product: Socorro
Classification: Server Software
Component: General (show other bugs)
: Trunk
: All Linux
: -- major (vote)
: 0.6
Assigned To: Aravind Gottipati [:aravind]
: socorro
:
Mentors:
Depends on:
Blocks: 432449 432450
  Show dependency treegraph
 
Reported: 2008-09-09 09:47 PDT by K Lars Lohn [:lars] [:klohn]
Modified: 2011-12-28 10:40 PST (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image K Lars Lohn [:lars] [:klohn] 2008-09-09 09:47:21 PDT
According to Josh Berkus of PostgreSQL, three quarters of our performance trouble relates to disk access.  The Transaction log and the database should not be on the same physical disk drive.  Aravind suggests iSCSI, because of complications in adding disk space to the physical machine. Josh suggests to putting the database on iSCSI and the transaction log on the local drives.
Comment 1 User image Michael Morgan [:morgamic] 2008-09-22 09:32:47 PDT
Aravind, is this done, or is there more to do with configuration?
Comment 2 User image Michael Morgan [:morgamic] 2008-11-17 09:51:50 PST
Aravind, is this done or is there more to do with configuration?
Comment 3 User image Aravind Gottipati [:aravind] 2008-11-17 10:07:57 PST
Its done. We write transaction logs to local disk, and data to the remote iscsi disk.
Comment 4 User image Michael Morgan [:morgamic] 2008-11-17 10:08:27 PST
Ok, leaving as resolved.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.